# Publications in which LingPy was used

No. | Publication | Links 
--- | --- | ---
1 | Willems, M., E. Lord, L. Laforest, G. Labelle, F.-J. Lapointe, A. Di Sciullo, and V. Makarenkov (2016): **Using hybridization networks to retrace the evolution of Indo-European languages**. *BMC Evolutionary Biology* 16.1. 1-18. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Willems2016)
2 | Wahle, J. (2016): **An approach to cross-concept cognacy identification**. In: *Proceedings of the Leiden Workshop on Capturing Phylogenetic Algorithms for Linguistics*  | [BibTex](http://bibliography.lingpy.org/raw.php?key=Wahle2016)
3 | Rama, T. (2016): **Chinese Restaurant Process for cognate clustering: A threshold free approach**. *ArXiv e-prints*  | [BibTex](http://bibliography.lingpy.org/raw.php?key=Rama2016)
4 | List, J.-M., J. Pathmanathan, P. Lopez, and E. Bapteste (2016): **Unity and disunity in evolutionary sciences: process-based analogies open common research avenues for biology and linguistics**. *Biology Direct* 11.39. 1-17. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2016h) [URL](http://biologydirect.biomedcentral.com/articles/10.1186/s13062-016-0145-2)
5 | List, J.-M., P. Lopez, and E. Bapteste (2016): **Using sequence similarity networks to identify partial cognates in multilingual wordlists**. In: *Proceedings of the Association of Computational Linguistics 2016 (Volume 2: Short Papers)* 599-605. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2016g) [URL](http://anthology.aclweb.org/P16-2097)
6 | List, J.-M. (2016): **Beyond cognacy: Historical relations between words and their implication for phylogenetic reconstruction**. *Journal of Language Evolution* 1.2. 119-136. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2016f) [URL](http://jole.oxfordjournals.org/content/1/2/119)
7 | Lesage, J. (2016): **Words, trees, and the dispersal of iron working in sub-Saharan Afric. Some explorations of a computational linguistic approach to tracing the spread of words for ‘iron’ across Africa**. Master’s thesis. Radboud Universiteit: Nijmegen. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Lesage2016)
8 | Jäger, G. and P. Sofroniev (2016): **Automatic cognate classification with a Support Vector Machine**. In: *Proceedings of the 13th Conference on Natural Language Processing* 128-133. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Jaeger2016b)
9 | Jäger, G. and J.-M. List (2016): **Investigating the potential of ancestral state reconstruction algorithms in historical linguistics**. In: *Proceedings of the Leiden Workshop on Capturing Phylogenetic Algorithms for Linguistics*  | [BibTex](http://bibliography.lingpy.org/raw.php?key=Jaeger2016a)
10 | da Silva Cardoso, H. and M. Wolska (2015): **Misspellings in responses to listening comprehension questions: Prospects for scoring based on phonetic normalization**. In: *4th workshop on NLP for Computer Assisted Language Learning* 1-10. | [BibTex](http://bibliography.lingpy.org/raw.php?key=DaSilvaCardoso2015)
11 | Wahle, J. (2015): **Automatic alignment using Pair Hidden Markov Models**. In: *Proceedings of the ESSLLI 2015 Student Session* 238-248. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Wahle2015)
12 | Roberts, S. (2015): **Commentary: Large-scale psychological differences within China explained by rice vs. wheat agriculture**. *Frontiers in Psychology* 6.950. 1-4. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Roberts2015)
13 | List, J.-M. (2015): **Network perspectives on Chinese dialect history**. *Bulletin of Chinese Linguistics* 8. 42-67. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2015d) [URL](http://booksandjournals.brillonline.com/content/journals/10.1163/2405478x-00801002)
14 | Kassian, A. (2015): **Towards a formal genealogical classification of the Lezgian languages (North Caucasus): Testing various phylogenetic methods on lexical data**. *PLoS ONE* 10.2. e0116950. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Kassian2015)
15 | Jäger, G. and J.-M. List (2015): **Factoring lexical and phonetic phylogenetic characters from word lists**. In: *Proceedings of the 6th Conference on Quantitative Investigations in Theoretical Linguistics*  | [BibTex](http://bibliography.lingpy.org/raw.php?key=Jaeger2015b) [URL](http://dx.doi.org/10.15496/publikation-8625)
16 | Griffiths, S., M. Purver, and G. Wiggins (2015): **From phoneme to morpheme: A computational model**. In: *Proceedings of the 6th Conference on Quantitative Investigations in Theoretical Linguistics*  | [BibTex](http://bibliography.lingpy.org/raw.php?key=Griffiths2015)
17 | Chacon, T. and J.-M. List (2015): **Improved computational models of sound change shed light on the history of the Tukanoan languages**. *Journal of Language Relationship* 13.3. 177-204. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Chacon2015a) [URL](http://www.jolr.ru/article.php?id=170)
18 | List, J.-M., S. Nelson-Sathi, W. Martin, and H. Geisler (2014): **Using phylogenetic networks to model Chinese dialect history**. *Language Dynamics and Change* 4.2. 222–252. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2014b)
19 | List, J.-M., S. Nelson-Sathi, H. Geisler, and W. Martin (2014): **Networks of lexical borrowing and lateral gene transfer in language and genome evolution**. *Bioessays* 36.2. 141-150. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2014a) [URL](http://onlinelibrary.wiley.com/doi/10.1002/bies.201300096/abstract)
20 | List, J.-M. and J. Prokić (2014): **A benchmark database of phonetic alignments in historical linguistics and dialectology.**. In: *Proceedings of the Ninth International Conference on Language Resources and Evaluation* 288-294. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2014e) [URL](http://alignments.lingpy.org)
21 | List, J.-M. (2014): **Sequence comparison in historical linguistics**. Düsseldorf University Press: Düsseldorf. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2014d) [URL](http://sequencecomparison.github.io/)
22 | List, J.-M. (2014): **Investigating the impact of sample size on cognate detection**. *Journal of Language Relationship* 11. 91-101. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2014c) [URL](http://www.jolr.ru/index.php?en)
23 | Kassian, A. (2014): **K formal’noj genealogičeskoj klassifikacii lezginskich jazykov (Severnyj Kavkaz)**[On the formal genetic classification of Lezgian languages (North Caucasus)]. *Journal of Language Relationship* 11. 63-80. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Kassian2014)
24 | Dekker, P. (2014): **Determining Dutch dialect phylogeny using bayesian inference**. Bachelor’s thesis. University of Utrecht: Utrecht. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Dekker2014)
25 | Wahle, J. (2013): **Alignment and word comparison with Pair Hidden Markov Models**. Master’s thesis. Eberhard-Karls-Universität: Tübingen. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Wahle2013)
26 | Moran, S. and J. Prokić (2013): **Investigating the relatedness of the endangered Dogon languages**. *Literary and Linguistic Computing* 28.4. 676-691. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Moran2013)
27 | List, J.-M. and S. Moran (2013): **An open source toolkit for quantitative historical linguistics**. In: *Proceedings of the ACL 2013 System Demonstrations* 13-18. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2013b)
28 | Gilman, S. (2013): **Comparative method algorithm**. Bachelor’s thesis. Yale University: New Haven. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Gilman2013)
29 | Delz, M. (2013): **A theoretical approach to automatic loanword detection**. Master’s thesis. Eberhard-Karls-Universität: Tübingen. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Delz2013)
30 | Mayer, T. (2012): **The induction of phonological structure**. PhD thesis. Universität Konstanz: Konstanz. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Mayer2012)
31 | List, J.-M. (2012): **SCA. Phonetic alignment based on sound classes**. In: Slavkovik, M. and D. Lassiter*New directions in logic, language, and computation*Springer: Berlin and Heidelberg. 32-51. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2012a) [URL](http://rd.springer.com/chapter/10.1007/978-3-642-31467-4_3)
32 | List, J.-M. (2012): **Multiple sequence alignment in historical linguistics****. A sound class based approach**. In: *Proceedings of ConSOLE XIX* 241-260. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2012)
33 | List, J.-M. (2012): **LexStat. Automatic detection of cognates in multilingual wordlists**. In: *Proceedings of the EACL 2012 Joint Workshop of Visualization of Linguistic Patterns and Uncovering Language History from Multilingual Resources* 117-125. | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2012b)
34 | List, J.-M. (2012): **Improving phonetic alignment by handling secondary sequence structures**. In: *Computational approaches to the study of dialectal and typological variation. Working papers submitted for the workshop organized as part of the ESSLLI 2012*  | [BibTex](http://bibliography.lingpy.org/raw.php?key=List2012d)
35 | Gilman, S. (2012): **Comparative method algorithm**. *Cambridge Occasional Papers in Linguistics* 6. 131-175. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Gilman2012)
36 | Uneson, M. and R. Schachtenhaufen (2011): **Exploring phonetic realization in Danish by transformation-based learning**. *Speech, Music and Hearing - Quarterly Progress and Status Report* 51. 73-76. | [BibTex](http://bibliography.lingpy.org/raw.php?key=Uneson2011)
